Bug 1319683

Summary: Please upgrade to upstream version
Product: [Fedora] Fedora EPEL Reporter: lionel.cons
Component: perl-Config-GeneralAssignee: Nathanael Noblet <nathanael>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: epel7CC: lkundrak, nathanael, perl-devel
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: perl-Config-General-2.60-1.fc22 perl-Config-General-2.60-1.fc23 perl-Config-General-2.60-1.el7 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-04-07 15:49:40 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description lionel.cons 2016-03-21 10:29:26 UTC
The version of perl-Config-General on EPEL7 (2.51) is very old, even older than the one on EL6 (2.52)!

Some of my scripts fail because of this (for instance rt.cpan.org#79869 that got fixed in 2.52).

Could you please update the EPEL7 version to at least the EL6 version?

Ideally, the EPEL7 version should be updated to match the Fedora version.

Thanks!

Comment 1 Fedora Update System 2016-03-21 17:14:04 UTC
perl-Config-General-2.60-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-311222a472

Comment 2 Fedora Update System 2016-03-21 17:14:10 UTC
perl-Config-General-2.60-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d1a331ebba

Comment 3 Fedora Update System 2016-03-21 17:14:15 UTC
perl-Config-General-2.60-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a034f7d4c8

Comment 4 Fedora Update System 2016-03-22 00:26:17 UTC
perl-Config-General-2.60-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d1a331ebba

Comment 5 Fedora Update System 2016-03-22 01:26:12 UTC
perl-Config-General-2.60-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a034f7d4c8

Comment 6 Fedora Update System 2016-03-22 15:22:20 UTC
perl-Config-General-2.60-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-311222a472

Comment 7 lionel.cons 2016-04-06 06:34:41 UTC
Could you please push it to stable? Thanks!

Comment 8 Nathanael Noblet 2016-04-06 20:31:51 UTC
On its way... It would be nice however for someone to test it. I didn't see any karma on the package. Perhaps next time when an update is requested ensure it works and provide karma on the bug tracker?

Comment 9 Fedora Update System 2016-04-07 15:49:38 UTC
perl-Config-General-2.60-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-04-07 15:53:08 UTC
perl-Config-General-2.60-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-04-07 19:23:54 UTC
perl-Config-General-2.60-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.